=== debian/changelog ===
ros-kinetic-kinesis-video-streamer (2.0.3-1xenial) xenial; urgency=high

  * Merge pull request #49 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/49> from aws-robotics/master
    * Ignore test files in coverage calculation
    * Update README.md to install build tool (#40 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/40>)
    * Remove "using namespace std" from headers, even in tests (#47 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/47>)
    Co-authored-by: AAlon <mailto:avishaya@amazon.com>
    Co-authored-by: Abby Xu <mailto:30247381+xabxx@users.noreply.github.com>
  * Remove "using namespace std" from headers, even in tests (#47 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/47>)
  * Contributors: Emerson Knapp

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 01 Sep 2020 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.2-1xenial) xenial; urgency=high

  * increment patch version (#38 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/38>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Remove conditions on ROS version in package.xml (#35 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/35>)
  * Use standard CMake macros for adding gtest/gmock tests (#33 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/33>)
    * modify kinesis_video_streamer to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update changelog (#23 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/23>)
    * Release 2.0.1
    * 2.0.1
  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon, M. M

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.1-1xenial) xenial; urgency=high

  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.0-1xenial) xenial; urgency=high

  * Improve GMock dependency resolution in CMakeLists.txt
  * Fix gmock dependency in CMakeLists.txt
  * Remove extra space from subscription_installer
  * Refactor StreamerNode class, add tests
    - Refactor the StreamerNode into its own class without the main()
    function so that it can have its own test suite.
    - Split Initialize function into two to be able to unit tests the initialization
    without mocking out the remote kinesis calls in stream setup.
    - Add more tests to improve code coverage.
  * use log4cplus from apt
  * Update to use non-legacy ParameterReader API (#11 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/11>)
  * Update to use new ParameterReader API (#10 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/10>)
    * adjust usage of the ParameterReader API
    * remove unnecessary dependencies for travis build
    * increment major version number in package.xml
  * Use separate node and stream config in example (#5 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/5>)
  * Contributors: Avishay Alon, Juan Rodriguez Hortala, M. M, Miaofei, Ross Desmond, Tim Robinson

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000
