=== debian/control ===
Source: ros-kinetic-kinesis-video-streamer
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-catkin, ros-kinetic-image-transport, ros-kinetic-kinesis-manager, ros-kinetic-kinesis-video-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rostopic, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/kinesis_video_streamer
Standards-Version: 3.9.2

Package: ros-kinetic-kinesis-video-streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-image-transport, ros-kinetic-kinesis-manager, ros-kinetic-kinesis-video-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: Kinesis Video Streams producer node
